import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:ocg_user/ocg_user.dart';
import 'package:ocg_contact/ocg_contact.dart';

class ContactTitleWidget extends StatelessWidget {
  final User user;
  final TextStyle style;
  final TextAlign textAlign;
  const ContactTitleWidget({Key key, this.user, this.style, this.textAlign})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<ContactListBloc, ContactListState>(
        builder: (context, state) {
      Contact contact;
      if (state is ContactListLoadedState && user.phone != null) {
        int index = state.contacts
            .indexWhere((element) => element.phones.contains(user.phone));
        if (index != -1) {
          contact = state.contacts[index];
        }
      }
      return Text(
        "${contact?.name ?? user?.phone}",
        style: style,
        textAlign: textAlign,
      );
    });
  }
}
